Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-19735

Creating a AngularJS project from scratch fails with an error of: java.lang.IllegalArgumentException: invalid range "[0.4)": invalid version "0.4)": non-numeric "4)"

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 4.3.0.Alpha2
    • Fix Version/s: 4.3.0.Alpha2
    • Component/s: central
    • Labels:
      None

      Description

      To recreate:

      • Create from scratch a new AngularJS with Forge project.
      • Have the project creation install AngularJS Eclipse

      Observe this error reported in a dialog in the UI:

      An error has occurred. See error log for more details.
      invalid range "[0.4)": invalid version "0.4)": non-numeric "4)"

      The full .log is in the attached diagnostic file.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                fbricon Fred Bricon
                Reporter:
                ldimaggio Len DiMaggio
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: